/*

  (C) 2009 Mika Ilmaranta <ilmis@nullnet.fi>

  License: GPLv2

*/


#ifndef __CONFIG_H__
#define __CONFIG_H__

typedef struct config {
  struct config *prev, *next;
  char *name;
  char *checkip;
  char *eventscript;
  int max_packet_loss;
  int max_successive_pkts_lost;
  int min_packet_loss;
  int min_successive_pkts_rcvd;
  int interval_ms;
  int timeout_ms;
  char *warn_email;
  int check_arp;
  char *sourceip;
  char *device;
  int ttl;

  void *data;
} CONFIG;

typedef struct global {
  int debug;
} GLOBAL;

extern GLOBAL cfg;

int read_config(char *fn, CONFIG **first, CONFIG **last);
void dump_config(CONFIG **first, CONFIG **last);

#endif

/* EOF */
